This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 874184 - Review Request: peervpn - A VPN software using full mesh network topology
Review Request: peervpn - A VPN software using full mesh network topology
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 11:25 EST by Jan Cholasta
Modified: 2013-10-19 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 23:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jhrozek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Cholasta 2012-11-07 11:25:34 EST
Spec URL: http://dl.dropbox.com/u/464637/peervpn.spec
SRPM URL: http://dl.dropbox.com/u/464637/peervpn-0.028-1.fc18.src.rpm
Description: PeerVPN is software that builds virtual Ethernet networks between multiple computers. It uses full mesh network topology and can automatically build tunnels through firewalls and NATs. It supports shared key encryption and
authentication.
Fedora Account System Username: jcholast

Rpmlint output:
$ rpmlint SPECS/peervpn.spec SRPMS/peervpn-0.028-1.fc18.src.rpm RPMS/x86_64/peervpn-0.028-1.fc18.x86_64.rpm
peervpn.x86_64: W: only-non-binary-in-usr-lib
- This is caused by the included systemd unit file.
peervpn.x86_64: E: non-standard-dir-perm /etc/peervpn 0700L
- This is done on purpose, the directory contains configuration files which contain sensitive information, such as passwords, in plain text.
peervpn.x86_64: W: no-manual-page-for-binary peervpn
- Upstream does not provide the manual page ATM.
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

Koji build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=4662803

This is my first package, I'm looking for sponsorship.
Comment 1 Jakub Hrozek 2012-11-13 15:04:27 EST
tl;dr version:
The package looks good to me. Please consider testing out and packaging the 0.29 version. It would also be nice to submit the service file to upstream, but this doesn't block the review. Please upgrade to the latest version and I'll approve.

According to the checlist found at https://fedoraproject.org/wiki/Packaging:ReviewGuidelines:
* [PASS] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
 - the rpmlint results are sane and well explained
* [PASS] MUST: The package must be named according to the Package Naming Guidelines .
 - peervpn is acceptable
* [PASS] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
 - peervpn.spec
* [PASS] MUST: The package must meet the Packaging Guidelines .
* [PASS] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
 - GPLv3+ is OK and matches the license text on the package home page
* [PASS] MUST: The License field in the package spec file must match the actual license.
* [PASS] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
 - license.txt is included
* [PASS] MUST: The spec file must be written in American English.
* [PASS] MUST: The spec file for the package MUST be legible.
* [PASS] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
 - the sha256sum of both is 9d80bfbdc2aad9c6ab2771887c7c97345bf481be3f35bb0f4517c2372461e58c
* [PASS] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4684515
* [N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
* [PASS] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
* [N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
 - there is no localization neither does the package require gettext
* [N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
* [PASS] MUST: Packages must NOT bundle copies of system libraries.
* [N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
* [PASS] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
* [PASS] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
* [PASS] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
* [PASS] MUST: Each package must consistently use macros.
* [PASS] MUST: The package must contain code, or permissable content.
* [N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
* [PASS] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
* [N/A] MUST: Static libraries must be in a -static package.
* [N/A] MUST: Development files must be in a -devel package.
* [N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
* [PASS] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
Comment 2 Jan Cholasta 2012-11-14 05:09:58 EST
Updated to 0.029.

Spec URL: http://dl.dropbox.com/u/464637/peervpn.spec
SRPM URL: http://dl.dropbox.com/u/464637/peervpn-0.029-1.fc18.src.rpm
Comment 3 Jakub Hrozek 2012-11-14 07:28:03 EST
Koji build succeeded:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4687307

The sha256 hash of sources from the tarball and upstream matches and is:
aa655eb46cbb8a9556434636b9ebffcd7b168755c2349b4615165d8db54c3817

All other review items still pass.

I would consider this package approved. A sponsor is still needed, though.
Comment 4 Jan Cholasta 2012-11-14 07:58:35 EST
Thank you for the review.
Comment 5 Jan Cholasta 2012-11-14 10:07:32 EST
New Package SCM Request
=======================
Package Name: peervpn
Short Description: A VPN software using full mesh network topology
Owners: jcholast
Branches: f18
InitialCC:
Comment 6 Jon Ciesla 2012-11-14 10:09:22 EST
The review flag isn't set, and Jan, are you sponsored?
Comment 7 Jan Cholasta 2012-11-14 10:32:04 EST
Yes, I was sponsored a couple hours ago by rvokal@redhat.com. Shall I ask him to set the flag?
Comment 8 Jakub Hrozek 2012-11-14 15:25:39 EST
Sorry, my fault, I was doing the review and was supposed to set the flag.

Fixed now.
Comment 9 Jan Cholasta 2012-11-15 05:34:06 EST
New Package SCM Request
=======================
Package Name: peervpn
Short Description: A VPN software using full mesh network topology
Owners: jcholast
Branches: f18
InitialCC:
Comment 10 Jon Ciesla 2012-11-15 08:18:28 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-11-15 12:17:27 EST
peervpn-0.029-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/peervpn-0.029-1.fc18
Comment 12 Fedora Update System 2012-11-15 15:05:30 EST
peervpn-0.029-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-12-06 23:34:12 EST
peervpn-0.029-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.